Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.slide.macro
Class MacroParameters

    java.lang.Object
      org.apache.slide.macro.MacroParameters

public class MacroParameters
extends java.lang.Object

Constructor Summary
`MacroParameters()` Constructor.
`MacroParameters(boolean recursive, boolean overwrite)` Constructor.
`MacroParameters(boolean recursive, boolean overwrite, boolean deleteCreate)` Constructor.

Method Summary
`boolean` | `getBooleanParameter(java.lang.String name)`
`java.lang.Object` | `getParameter(java.lang.String name)`
`boolean` | `isDeleteCreate()` DeleteCreate accessor
`boolean` | `isOverwrite()` Overwrite accessor.
`boolean` | `isRecursive()` Recursive accessor.
`void` | `setBooleanParameter(java.lang.String name, boolean value)`
`void` | `setParameter(java.lang.String name, java.lang.Object value)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MacroParameters

    public MacroParameters()

  Constructor.

### MacroParameters

    public MacroParameters(boolean recursive,
                           boolean overwrite)

  Constructor.

Parameters:
  `recursive` - True if the macro is recursive
  `overwrite` - True if we should try to overwrite stuff

### MacroParameters

    public MacroParameters(boolean recursive,
                           boolean overwrite,
                           boolean deleteCreate)

  Constructor.

Parameters:
  `recursive` - True if the macro is recursive
  `overwrite` - True if we should try to overwrite stuff
  `deleteCreate` - if true, and if overwrite=true, resource at destination is deleted first and a new resource is created at detination

Method Detail

### isRecursive

    public boolean isRecursive()

  Recursive accessor.

  Returns:
    boolean True if the macro is recursive

### isOverwrite

    public boolean isOverwrite()

  Overwrite accessor.

  Returns:
    boolean True if the macro will overwrite any items on the destination (may not apply to all macros)

### isDeleteCreate

    public boolean isDeleteCreate()

  DeleteCreate accessor

  Returns:
    True if the macro will overwrite any items on the destination by 1st deleting resources and then creating new resources at detination

### setParameter

    public void setParameter(java.lang.String name,
                             java.lang.Object value)

### setBooleanParameter

    public void setBooleanParameter(java.lang.String name,
                                    boolean value)

### getParameter

    public java.lang.Object getParameter(java.lang.String name)

### getBooleanParameter

    public boolean getBooleanParameter(java.lang.String name)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD